
Redmine - Defect #14895

Inline images in issue description are missing path

2013-09-12 20:18 - Eduardo Kortright

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.2

Description

In the issue description, references to attached image files (for example, !file.png!) result in images with src attributes of file.png,

displayed by the browser with a broken image icon.

<img src="file.png" alt="">

 In comments, the same reference (!file.png!) results in the correct relative path to the attached file (for example,

/attachments/download/2/file.png).

<img src="/attachments/download/2/file.png" alt="">

History

#1 - 2013-09-16 10:16 - Hans Ginzel

Also the alt attribute is empty and not taken from the description of the attachment if available.

#2 - 2018-08-06 15:30 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

I cannot reproduce it with Redmine 3.4.
